
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to toni@links2linux.de

# norootforbuild

Name:			ladspa-aweight
Summary:		aweight LADSPA plugin
Version:		0.3.0
Release:		pm154.1.2
License: GPL-2.0
Group:			Productivity/Multimedia/Sound/Utilities
Source:			aweight.tar.bz2
URL:			http://users.skynet.be/solaris/linuxaudio/downloads
BuildRoot:		%{_tmppath}/%{name}-%{version}-build
BuildRequires:	gcc-c++
BuildRequires:	jack-devel
BuildRequires:	ladspa-devel

%description
The package contains the aweight LADSPA plugins.



%prep
%setup -q -n aweight

%build
%__make CPPFLAGS="$RPM_OPT_FLAGS -fPIC -DPIC" awplug.so

%install
%__install -dm 755 %{buildroot}%{_libdir}/ladspa
%__install -m 644 -c *.so \
	%{buildroot}%{_libdir}/ladspa

%clean
[ -d %{buildroot} -a "%{buildroot}" != "" ] && %__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc *.png
%dir %{_libdir}/ladspa
%{_libdir}/ladspa/*

%changelog
* Sun Sep 16 2007 Toni Graffy <toni@links2linux.de> - 0.3.0-0.pm.1
- splitt-off from ladspa package
